package simplygroovy.bean

/**
 * Created: 23/03/12
 * @author david
 */
public enum Period implements KVP {
    MINUTE('Minute'),
    HOUR('Hour'),
    DAY('Day'),
    MONTH('Month'),
    YEAR('Year')

    Period(String value) {
        this.value = value
    }

    final String value

    Object getValue() {
        return value
    }
    Object getKey() {
        return name()
    }

    @Override
    String toString() {
        return getKey()
    }

}